Bug 587423 - hook documentation does not state the privs each hook has
hook documentation does not state the privs each hook has
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Grid_User_Guide (Show other bugs)
Development
All Linux
low Severity medium
: 1.3
: ---
Assigned To: Lana Brindley
Lubos Trilety
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-29 16:51 EDT by Lana Brindley
Modified: 2013-10-23 19:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 16:01:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lana Brindley 2010-04-29 16:51:05 EDT
New ticket #1182 created by user matt.

 Title: hook documentation does not state the privs each hook has
 URL: http://condor-wiki.cs.wisc.edu/index.cgi/tktview?tn=1182
 Owner: matt
 Assigned to: 
 Type: doc
 Status: new
 Subsystem: 
 Priority: 4
 Broken Version: 
 Fixed Version: v070402
 Visibility: public
 Due Date: 
 Rust: 
 Notify: matt@cs.wisc.edu

Description:
   http://www.cs.wisc.edu/condor/manual/v7.4/4_4Job_Hooks.html
   
   The job hooks are invoked with different privs. For instance, the fetch hook is invoked with condor privs (or the user running the startd), and the status hook is invoked with the job owner's privs (or whatever account the job is running under). This is important information for hook writers and should be reflected in the manual for all hooks.


From Matt on email.

LKB
Comment 1 Lana Brindley 2010-05-20 00:01:18 EDT
<para>
	When a hook is invoked, it will have certain privileges. Fetch hooks are invoked with Condor privileges (or the privileges of the user running the <command>startd</command>, if that is a user other than Condor). Status hooks are invoked using the privileges of the job owner.
</para>


This will be available on the stage for review shortly.

LKB
Comment 2 Lubos Trilety 2010-09-03 06:17:10 EDT
Part of manual about job hook privileges was checked.

>>> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.